Subject: Re: git slow unless piped to cat

From: SZEDER Gábor <[email-masked]>
Date: Tue, 27 Aug 2019 12:33:09 +0200

On Tue, Aug 27, 2019 at 12:04:27PM +0200, Uwe Kleine-König wrote:
> I'm a bit surprised that the default for --decorate depends on the
> output being a terminal.

Decorations (and colors as well) are for humans, and humans read the
terminal.

> Thanks for your help, I will think about what I want to do. Just using
> --no-decorate will work, but isn't nice either. Will test if just
> throwing away all those tags from linux-next will make this already
> better.

Note that you can disable decorations by setting the 'log.decorate'
configuration variable to false.